[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.SetComponent

Writes the specified component to the storage for the Clipboard format.

## Declaration

Source position: clipbrd.pp line 220

`public function TClipboard.SetComponent(`
`Component: TComponent`
`):Boolean;`

## Arguments

`Component` |  | Component stored in the clipboard.

## Description

Clears any existing data stored in the component clipboard format before storing the binary content in the Component argument. Calls BeginUpdate and EndUpdate to perform the operation as a single write.